Subject: [xrblock] Handling of IPR within the XRBLOCK WG and draft-ietf-xrblock-rtcp-xr-video-lc-06.txt

From: Alan Clark <[email-masked]>
Date: Thu, 31 Mar 2016 12:14:48 -0400

Dan,

It is good that the WG has found a way forward with the video-lc draft. 
Bearing in mind the difficulty in getting a response from the company 
that made the patent disclosure, I think that the WG should not progress 
the draft until the IPR disclosure is actually withdrawn.

There were a number of statements made within the XRBLOCK WG during the 
last months about what the IETF and the WG could and could not do with 
regard to patent disclosures, and some XRBLOCK participants were 
presenting the view that we should not even discuss whether or how a 
patent may apply to a draft. The IETF IPR WG appear to have considered 
this and if we look at the guidelines for WG's provided in RFC 3669:

"The IETF as a whole, and a working group as a whole, takes no stance on 
the validity of any IPR claim.  It would be inappropriate for a working 
group chair to declare that consensus had been reached that, for 
example, a company's patent was invalid.  Individual participants will 
need to use whatever legal advice resources they have access to in order 
to form their own individual opinions. /Discussions about the validity 
of IPR may take place under the auspices of the working group, in 
particular about relative risks of technology choices.  Individual 
participants may take these discussions into account.  The working group 
as a body may not take a stance on validity, but it may make choices 
based on perceived ris/k."

So - this essentially states that the IETF and the WG should not take a 
position on the validity of a patent however that individuals may form 
opinions on the validity of patents, WG may discuss these opinions and 
they may affect the choices made by the WG.  As a WG we have followed 
the letter and spirit of the IETF guidelines in considering the 
applicability of the disclosed patent to the draft.

I asked to be removed as an author from this draft as text that was 
inserted into the draft by another author caused the draft to be subject 
to a patent disclosure by that author's company, however the IPR was not 
disclosed at the time and the inserted text was non-essential and not 
directly relevant to the purpose of the document.
The inserted example text described a specific video loss concealment 
algorithm, claimed in a patent, whereas the draft only defines metrics 
for reporting the proportion of video that was loss concealed, duration 
of frame freezes and similar measurements. The patent described a 
specific algorithm for video loss concealment and contained no text or 
claims that related to metrics or performance measurement.  If the 
patent was required in order to implement the draft then the removal of 
the offending text would change the operation of the protocol or the 
value of the metrics reported, whereas the removal of the text will in 
fact make no difference at all.

So - hopefully Huawei withdraw their IPR disclosure and the draft moves 
forward to become an RFC.

Best Regards

Alan Clark

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Thu, 31 Mar 2016 16:33:46 +0000

I agree.

I also think this is a two step process, and the next step is to ask the IPR claimant whether they believe their declaration is still applicable. Their response can be either to withdraw it, modify it or keep it, and we can come back to the discussion at that point.

I believe this is consistent with RFC 3669.

Keith

From: xrblock [mailto:[email-masked]] On Behalf Of EXT Alan Clark
Sent: 31 March 2016 17:15
To: [email-masked]; Romascanu, Dan (Dan)
Subject: [xrblock] Handling of IPR within the XRBLOCK WG and draft-ietf-xrblock-rtcp-xr-video-lc-06.txt

Dan,

It is good that the WG has found a way forward with the video-lc draft. Bearing in mind the difficulty in getting a response from the company that made the patent disclosure, I think that the WG should not progress the draft until the IPR disclosure is actually withdrawn.

There were a number of statements made within the XRBLOCK WG during the last months about what the IETF and the WG could and could not do with regard to patent disclosures, and some XRBLOCK participants were presenting the view that we should not even discuss whether or how a patent may apply to a draft. The IETF IPR WG appear to have considered this and if we look at the guidelines for WG's provided in RFC 3669:

"The IETF as a whole, and a working group as a whole, takes no stance on the validity of any IPR claim.  It would be inappropriate for a working group chair to declare that consensus had been reached that, for example, a company's patent was invalid.  Individual participants will need to use whatever legal advice resources they have access to in order to form their own individual opinions.  Discussions about the validity of IPR may take place under the auspices of the working group, in particular about relative risks of technology choices.  Individual participants may take these discussions into account.  The working group as a body may not take a stance on validity, but it may make choices based on perceived risk."

So - this essentially states that the IETF and the WG should not take a position on the validity of a patent however that individuals may form opinions on the validity of patents, WG may discuss these opinions and they may affect the choices made by the WG.  As a WG we have followed the letter and spirit of the IETF guidelines in considering the applicability of the disclosed patent to the draft.

I asked to be removed as an author from this draft as text that was inserted into the draft by another author caused the draft to be subject to a patent disclosure by that author's company, however the IPR was not disclosed at the time and the inserted text was non-essential and not directly relevant to the purpose of the document.
The inserted example text described a specific video loss concealment algorithm, claimed in a patent, whereas the draft only defines metrics for reporting the proportion of video that was loss concealed, duration of frame freezes and similar measurements. The patent described a specific algorithm for video loss concealment and contained no text or claims that related to metrics or performance measurement.  If the patent was required in order to implement the draft then the removal of the offending text would change the operation of the protocol or the value of the metrics reported, whereas the removal of the text will in fact make no difference at all.

So - hopefully Huawei withdraw their IPR disclosure and the draft moves forward to become an RFC.

Best Regards

Alan Clark

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 31 Mar 2016 15:35:53 -0700

RFC 3669 is useful, but just wanted to point out BCP 79 Sec. 7 which I take to be the prevailing guidance on these matters. 

In this particular case it seems more like what the WG was discussing was applicability, not validity. And in any event there was not an attempt to reach consensus about either applicability or validity, which is the key bit from BCP 79 in this case I think.

Alissa

> On Mar 31, 2016, at 9:33 AM, Drage, Keith (Nokia - GB) <[email-masked]> wrote:
> 
> I agree.
>  
> From: xrblock [mailto:[email-masked] <mailto:[email-masked]>] On Behalf Of EXT Alan Clark
> To: [email-masked] <mailto:[email-masked]>; Romascanu, Dan (Dan)
> _______________________________________________
> xrblock mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/xrblock <https://www.ietf.org/mailman/listinfo/xrblock>

---

From: "Drage, Keith (Nokia - GB)" <[email-masked]>
Date: Fri, 1 Apr 2016 00:31:04 +0000

I'm not sure I understand the relevance of section 7, which is apparently about failure to disclose.

As the author, despite working for the same company, states she knew nothing about the IPR, section 7 does not come into effect. It is certainly perfectly reasonable this is the case.

My understanding is that we are more in the area covered by the first paragraph of section 8 (although I agree this is not quite the case).

Anyway, I am not seeking that the working group evaluate or validate the IPR, I merely want the discloser to be asked whether they consider their declaration is still required based on the new version. If they claim it is (either by response or timeout), and the declaration is still in the current form, then my position is unchanged.

Regards

Keith

From: EXT Alissa Cooper [mailto:[email-masked]]
Sent: 31 March 2016 23:36
To: Drage, Keith (Nokia - GB)
Cc: EXT Alan Clark; [email-masked]; Romascanu, Dan (Dan)
Subject: Re: [xrblock] Handling of IPR within the XRBLOCK WG and draft-ietf-xrblock-rtcp-xr-video-lc-06.txt

Alissa

On Mar 31, 2016, at 9:33 AM, Drage, Keith (Nokia - GB) <[email-masked]<mailto:[email-masked]>> wrote:

I agree.

Keith

From: xrblock [mailto:[email-masked]] On Behalf Of EXT Alan Clark
Sent: 31 March 2016 17:15
To: [email-masked]<mailto:[email-masked]>; Romascanu, Dan (Dan)
Subject: [xrblock] Handling of IPR within the XRBLOCK WG and draft-ietf-xrblock-rtcp-xr-video-lc-06.txt

Dan,

Best Regards

Alan Clark

_______________________________________________
xrblock mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/xrblock

---

From: "Huangyihong (Rachel)" <[email-masked]>
Date: Fri, 1 Apr 2016 03:55:05 +0000

Hi Keith, Alan, and Alissa,

I’m told that our IPR department is confirmed to withdraw this disclosure, which means I think they agree that it will not be applicable to the draft anymore. The withdraw may take a few days. I don’t know. But I’m also okay to wait to proceed this work until the IPR is withdrawn.

BR,
Rachel

发件人: xrblock [mailto:[email-masked]] 代表 Drage, Keith (Nokia - GB)
发送时间: 2016年4月1日 8:31
收件人: EXT Alissa Cooper
抄送: [email-masked]
主题: Re: [xrblock] Handling of IPR within the XRBLOCK WG and draft-ietf-xrblock-rtcp-xr-video-lc-06.txt

I’m not sure I understand the relevance of section 7, which is apparently about failure to disclose.

Regards

Keith

Cc: EXT Alan Clark; [email-masked]<mailto:[email-masked]>; Romascanu, Dan (Dan)

Alissa

I agree.

Keith

Dan,

Best Regards

Alan Clark